#ifndef _SYS_SLIP_H
#define _SYS_SLIP_H
#ident	"@(#)slip.h	1.2"
/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */

/*
 * SLIP - Serial Line IP module/driver (ala RFC1055)
 */

#define MAXSDUSZ	1006		/* maximum user data per packet */
#define MINSDUSZ	1		/* minimum user data per packet */
#define ADMINDEV	0		/* for administrative daemon */
#define SLIPSAPSZ	4		/* size of SAP identifier */

#define END		0300		/* end of packet */
#define ESC		0333		/* next byte is real */
#define ESC_END		0334		/* ESC ESC_END is END */
#define ESC_ESC		0335		/* ESC ESC_ESC is ESC */

#endif /* _SYS_SLIP_H */
